clang 10.0.0git

Static Public Member Functions | Static Public Attributes | List of all members
llvm::PointerLikeTypeTraits< clang::DynamicAllocLValue > Struct Template Reference

`#include "clang/AST/APValue.h"`

Collaboration diagram for llvm::PointerLikeTypeTraits< clang::DynamicAllocLValue >:
[legend]

## Static Public Member Functions
static void * | getAsVoidPointer (clang::DynamicAllocLValue V)
static clang::DynamicAllocLValue | getFromVoidPointer (void *P)

## Static Public Attributes
static constexpr int | NumLowBitsAvailable

## Detailed Description

### template<>
struct llvm::PointerLikeTypeTraits< clang::DynamicAllocLValue >

Definition at line 99 of file APValue.h.

## Member Function Documentation

## ◆ getAsVoidPointer()

static void* llvm::PointerLikeTypeTraits< clang::DynamicAllocLValue >::getAsVoidPointer | ( | clang::DynamicAllocLValue | V | ) |
| inline static

Definition at line 100 of file APValue.h.

References clang::DynamicAllocLValue::getOpaqueValue().

## ◆ getFromVoidPointer()

static clang::DynamicAllocLValue llvm::PointerLikeTypeTraits< clang::DynamicAllocLValue >::getFromVoidPointer | ( | void * | P | ) |
| inline static

Definition at line 103 of file APValue.h.

References clang::DynamicAllocLValue::getFromOpaqueValue().

## Member Data Documentation

## ◆ NumLowBitsAvailable

constexpr int llvm::PointerLikeTypeTraits< clang::DynamicAllocLValue >::NumLowBitsAvailable
| static

Initial value:
=
clang::DynamicAllocLValue::NumLowBitsAvailable

Definition at line 106 of file APValue.h.

The documentation for this struct was generated from the following file:

- include/clang/AST/APValue.h